Status: Closed

Priority: Normal

Assignee: Tom Kralidis

Category: MetaSearch Catalogue Client

Affected QGIS version:2.14.13 Regression?: No

Operating System: W10 Easy fix?: No

Pull Request or Patch supplied:No Resolution: wontfix

Crashes QGIS or corrupts data:No Copied to github as #: 24354

Description

After upgrading from 2.14.12 to 2.14.13, the Metasearch Catalogue Client plugin will no longer open. Instead, it is broken and invalid, with

a message that says, "cannot import name _thread".

The same issue is also affecting the new 'JRectifier' georeferencing plugin, so if you find the fix, please tell Janek how to fix it, too.

Colleagues who have not upgraded their LTR version are not affected by this, so it seems to be due to the QGIS LTR version upgrade.

Thank you.

History

#1 - 2017-04-13 03:43 AM - Tom Kralidis

I'm unable to reproduce the issue.  Is anyone else able to reproduce?

#2 - 2017-04-19 06:27 AM - Steve Lowman

- File Python_Error_Log.txt added

Error Log (attached) has lines as follows:

from six.moves import _thread, range

ImportError: cannot import name _thread

so, it's a six module thing. Any advice how to fix this. I'm not finding it easy to resolve.

My W10 computer has Python 3.5, but presumably I need to do something to the QGIS Python 2.7 installation, and not yet even found a way to start up

Python 2.7 with command prompt.

If anyone can help with steps to resolve this, I would appreciate it, rather than just closing it?

#3 - 2017-04-24 01:54 AM - Steve Lowman

For me this issue looks to have been resolved by installing 2.14.14.

#4 - 2017-05-01 01:01 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#5 - 2017-12-24 02:16 PM - Tom Kralidis

- Resolution set to wontfix
- Description updated

- Status changed from Open to Closed

Files

2017-04-13_09_52_19-Plugins___Invalid__2_.jpg 95.6 KB 2017-04-12 Steve Lowman

Python_Error_Log.txt 5.4 KB 2017-04-19 Steve Lowman
